import {priceCalcUtil, numItemsCalcUtil, promoCalcUtil} from '../util/cart_processing_util'

export const GET_TOTAL_PRICE = "GET_TOTAL_PRICE"
export const GET_NUM_ITEMS = "GET_NUM_ITEMS"
export const GET_CART_PRODUCTS = "GET_CART_PRODUCTS"
export const GET_TOTAL_PROMOTIONS = "GET_TOTAL_PROMOTIONS"

export const getTotalPrice = (totalPrice) => ({
    type: GET_TOTAL_PRICE,
    payload: totalPrice
})

export const getNumItems = (numItems) => ({
    type: GET_NUM_ITEMS,
    payload: numItems
})

export const getCartProducts = (cartProducts) => ({
    type: GET_CART_PRODUCTS,
    payload: cartProducts
})

export const getTotalPromotions = (totalPromotions) => ({
    type: GET_TOTAL_PROMOTIONS,
    payload: totalPromotions
})


export const calcTotalPrice = (productList) => {
    return (dispatch) => {
        return dispatch(getTotalPrice(priceCalcUtil(productList)))
    }
}

export const calcTotalPromotions = (productList) => {
    return (dispatch) => {
        return dispatch(getTotalPromotions(promoCalcUtil(productList)))
    }
}

export const calcNumItems = (productList) => {
    return (dispatch) => {
        return dispatch(getNumItems(numItemsCalcUtil(productList)))
    }
}

export const storeCartItemsInProcessing = (productList) => {
    return (dispatch) => {
        return dispatch(getCartProducts(productList))
    }
}