import * as ApiUtil from '../util/product_api_util';

export const RECEIVE_ALL_PRODUCTS = "RECEIVE_ALL_PRODUCTS";
export const RECEIVE_ALL_PROMOTIONS = "RECEIVE_ALL_PROMOTIONS";
export const RECEIVE_ALL_PRODUCTS_AND_PROMOTIONS = "RECEIVE_ALL_PRODUCTS_AND_PROMOTIONS";

const receiveAllProducts = products => ({
    type: RECEIVE_ALL_PRODUCTS,
    products
})

const receiveAllPromotions = promotions => {
    return {
        type: RECEIVE_ALL_PROMOTIONS,
        promotions
    }
}

const receiveAllProductsAndPromotions = prodsAndPromos => ({
    type: RECEIVE_ALL_PRODUCTS_AND_PROMOTIONS,
    prodsAndPromos
})

export const fetchProducts = () => dispatch => ApiUtil.fetchProducts()
    .then(products => dispatch(receiveAllProducts(products)));

export const fetchPromotions = () => dispatch => ApiUtil.fetchPromotions()
    .then(promotions => dispatch(receiveAllPromotions(promotions)));

export const fetchProductsAndPromotions = () => dispatch => ApiUtil.fetchProductsAndPromotions()
    .then(prodsAndPromos => dispatch(receiveAllProductsAndPromotions(prodsAndPromos)));
