import React from 'react'
import './shopping-cart.css'
export default function CartItem(props) {
    return (
        <div className="shoppingCartItem" >
            {/* This is based on amazon's style */}
            {/* Flex-Direction: Row */}
            {/* Left image div */}
            <div className="productImageContainer">
                <img className="productImage" alt="Product" src={props.productInfo.productImageUrl} />
            </div>
            {/* Name and Product details */}
            <div className="nameAndDetails">
                <div className="productName">{props.productInfo.productName}</div>
                <div className="productStock">{props.productInfo.availableStock} left in stock</div>
                <div className="quantityControls">
                    <input 
                        className="productQuantitySelect"
                        type="number"
                        value={props.quantity}
                        min="1"
                        max="99"
                        onChange={(e) => {props.handleQuantityUpdate(props.productInfo.sku, parseInt( e.target.value) )}}
                    />
                    <button onClick={() => { props.handleDelete(props.productInfo.sku) }}>Delete</button>
                </div>
            </div>
            {/* Price and promotions */}
            <div className="priceAndPromotions">
                {
                    props.productInfo.promo ?
                        <div className="productPrice">
                            <span style={{textDecoration: 'line-through', fontWeight: 'normal'}}>${(props.quantity * props.productInfo.price).toFixed(2)}</span>
                            <span style={{color: 'green', fontWeight: 'bold'}}>${(props.quantity * props.productInfo.price * (1.0 - parseFloat( props.productInfo.promo / 100.0))).toFixed(2)}</span>
                        </div>

                    :
                        <div className="productPrice">${(props.quantity * props.productInfo.price).toFixed(2)}</div>
                }

            </div>
        </div>
    )
}