import {SET_CURRENT_USER, LOGOUT_USER, SET_USER_IMAGE} from '../actions/session_actions'

const initialState = {
    currentUser: null,
    userImage: null
}

const userReducer = (state = initialState, action) => {
    Object.freeze(state);
    let newState = Object.assign({}, state);
    switch (action.type) {
        case SET_CURRENT_USER:
            newState.currentUser = action.user.data;
            return newState;
        case SET_USER_IMAGE:
            newState.userImage = action.image;
            return newState;
        case LOGOUT_USER:
            return newState.currentUser = null;
        default:
            return state;
    }
}

export default userReducer;
